Bug 18479 - Holds 'Placed on' column in opac-user.pl not sorting correctly
Summary: Holds 'Placed on' column in opac-user.pl not sorting correctly
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-21 19:02 UTC by Nick Clemens
Modified: 2018-06-04 20:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18479 - Holds 'Placed on' column in opac-user.pl not sorting correctly (4.50 KB, patch)
2017-04-24 12:44 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18479 - Holds 'Placed on' column in opac-user.pl not sorting correctly (4.56 KB, patch)
2017-04-26 12:59 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18479 - Holds 'Placed on' column in opac-user.pl not sorting correctly (4.61 KB, patch)
2017-04-26 15:16 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-04-21 19:02:19 UTC
To recreate:
1 - place three holds for a patron
2 - in db set reservedates to "2017-04-19","2016-04-20","2017-04-21"
3 - Sign in to opac
4 - View holds tab
5 - Sort by 'placed on' 
6 - Note 2016 date is in the middle
Comment 1 Owen Leonard 2017-04-24 12:44:56 UTC
Created attachment 62590 [details] [review]
Bug 18479 - Holds 'Placed on' column in opac-user.pl not sorting correctly

Two columns in the user's holds table in the OPAC do not sort correctly
because they are not marked up correctly to enable date sorting: 'Placed
on' and 'Expires on.' This patch corrects it.

This patch also removes a stray </td> which was causing validation
errors.

To test, apply the patch and log into the OPAC with an account which has
multiple holds with differnt hold dates and expiration dates. Confirm
that sorting on these columns works correctly.
Comment 2 Josef Moravec 2017-04-26 12:59:29 UTC
Created attachment 62728 [details] [review]
[SIGNED-OFF] Bug 18479 - Holds 'Placed on' column in opac-user.pl not sorting correctly

Two columns in the user's holds table in the OPAC do not sort correctly
because they are not marked up correctly to enable date sorting: 'Placed
on' and 'Expires on.' This patch corrects it.

This patch also removes a stray </td> which was causing validation
errors.

To test, apply the patch and log into the OPAC with an account which has
multiple holds with differnt hold dates and expiration dates. Confirm
that sorting on these columns works correctly.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Nick Clemens 2017-04-26 15:16:48 UTC
Created attachment 62731 [details] [review]
Bug 18479 - Holds 'Placed on' column in opac-user.pl not sorting correctly

Two columns in the user's holds table in the OPAC do not sort correctly
because they are not marked up correctly to enable date sorting: 'Placed
on' and 'Expires on.' This patch corrects it.

This patch also removes a stray </td> which was causing validation
errors.

To test, apply the patch and log into the OPAC with an account which has
multiple holds with differnt hold dates and expiration dates. Confirm
that sorting on these columns works correctly.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Kyle M Hall 2017-04-28 12:33:54 UTC
Pushed to master for 17.05, thanks Owen!
Comment 5 Katrin Fischer 2017-05-13 12:24:35 UTC
Patch doesn't apply cleanly to 16.11.x - please rebase!
Comment 6 Katrin Fischer 2017-07-16 12:16:37 UTC
2 months, no rebase. Closing.